Loading...
Searching...
No Matches
caf::io::basp::worker Class Reference

Deserializes payloads for BASP messages asynchronously. More...

`#include <worker.hpp>`

## Public Types

using | super = detail::abstract_worker
using | scheduler_type = scheduler::abstract_coordinator
using | buffer_type = std::vector<char>
using | hub_type = detail::worker_hub<worker>

## Public Member Functions

| worker (hub_type &hub, message_queue &queue, proxy_registry &proxies)
| Only the ::worker_hub has access to the construtor.
void | launch (const node_id &last_hop, const basp::header &hdr, const buffer_type &payload)
resume_result | resume (execution_unit *ctx, size_t) override
| Resume any pending computation until it is either finished or needs to be re-scheduled later.

## Public Attributes

friend | remote_message_handler< worker >

## Detailed Description

Deserializes payloads for BASP messages asynchronously.

## Member Function Documentation

## resume()

resume_result caf::io::basp::worker::resume | ( | execution_unit * | ,
|  | size_t | max_throughput )

override virtual

Resume any pending computation until it is either finished or needs to be re-scheduled later.

Implements caf::resumable.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_io/caf/io/basp/worker.hpp